Name:          gpsbabel
Version:       1.6.0
Release:       3%{?dist}
Summary:       A tool to convert between various formats used by GPS devices

License:       GPLv2+
URL:           http://www.gpsbabel.org
# Upstream's website hides tarball behind some ugly php script
# Original repo is at https://github.com/gpsbabel/gpsbabel
Source0:       %{name}-%{version}.tar.gz
Source2:       %{name}.png
Source21:      http://www.gpsbabel.org/style3.css
# Remove network access requirement for XML doc builds and HTML doc reading
Patch1:        0001-gpsbabel-1.4.2-xmldoc.patch
# Use system shapelib - not suitable for upstream in this form.
Patch2:        0002-gpsbabel-1.4.3-use-system-shapelib.patch
# Pickup gmapbase.html from /usr/share/gpsbabel
Patch3:        0003-gpsbabel-1.4.3-gmapbase.patch
# No automatic phone home by default (RHBZ 668865)
Patch4:        0004-gpsbabel-1.4.3-nosolicitation.patch
# Use system zlib
Patch5:        0005-Use-system-zlib.patch
# Address overflows
Patch6:        0006-Fix-Wformat-overflow.patch
# gpsbabelfe-bin was renamed into gpsbabelfe
Patch7:        0007-correct-name-of-Exec-in-desktop-file.-353.patch
# Pickup translations from /usr/share/qt5 instead of /usr/bin
Patch8:        0008-Pickup-translations-from-usr-share-qt5-translations.patch
# Fix loading of meta catalogs
Patch9:        0009-Fix-loading-of-meta-catalogs.patch

BuildRequires: %{__make}
BuildRequires: %{__perl}

BuildRequires: expat-devel
BuildRequires: libusb-devel
BuildRequires: zlib-devel
BuildRequires: qt5-qtbase-devel

%global QT_GUI  qtwebkit

%if "%{?QT_GUI}"
%global build_gui 1
BuildRequires: qt5-%{QT_GUI}-devel
BuildRequires: /usr/bin/lrelease-qt5
%endif

BuildRequires: desktop-file-utils
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: shapelib-devel

%description
Converts GPS waypoint, route, and track data from one format type
to another.

%if 0%{?build_gui}
%package gui
Summary:        Qt GUI interface for GPSBabel
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description gui
Qt GUI interface for GPSBabel
%endif

%prep
%setup -q -n %{name}-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# Use system shapelib instead of bundled partial shapelib
%{__rm} -rf shapelib

# Get rid of bundled zlib
%{__rm} -rf zlib

%{__cp} -p %{SOURCE21} gpsbabel.org-style3.css

# Avoid calling autoconf from Makefile
touch -r configure.ac configure Makefile.in

%build
%configure --with-zlib=system --with-doc=./manual
%{__make} %{?_smp_mflags}
%{__perl} xmldoc/makedoc
%{__make} gpsbabel.html

%if 0%{?build_gui}
pushd gui
%{qmake_qt5} USE_GUI=%{?QT_GUI}
/usr/bin/lrelease-qt5 *.ts
%{__make} %{?_smp_mflags}
popd
%endif

%install
%{__make} DESTDIR=%{buildroot} install


%if 0%{?build_gui}
%{__make} -C gui DESTDIR=%{buildroot} install

%{__install} -m 0755 -d                        %{buildroot}%{_bindir}/
%{__install} -m 0755 -p gui/objects/gpsbabelfe %{buildroot}%{_bindir}/
%{__install} -m 0755 -d                        %{buildroot}%{_qt5_translationdir}/
%{__install} -m 0644 -p gui/gpsbabel*_*.qm     %{buildroot}%{_qt5_translationdir}/
%{__install} -m 0644 -p gui/coretool/gpsbabel_*.qm     %{buildroot}%{_qt5_translationdir}/

%{__install} -m 0755 -d %{buildroot}%{_datadir}/gpsbabel
%{__install} -m 0644 -p gui/gmapbase.html %{buildroot}%{_datadir}/gpsbabel

desktop-file-install \
        --dir %{buildroot}/%{_datadir}/applications \
        gui/gpsbabel.desktop

%{__install} -m 0755 -d            %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
%{__install} -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

%find_lang %{name} --with-qt --all-name
%endif

%files
%doc README* AUTHORS
%license COPYING
%doc gpsbabel.html gpsbabel.org-style3.css
%{_bindir}/gpsbabel

%if 0%{?build_gui}
%files gui -f %{name}.lang
%doc gui/{AUTHORS,README*,TODO}
%license gui/COPYING*
%{_bindir}/gpsbabelfe
%{_datadir}/gpsbabel
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/256x256/apps/*
%endif

%changelog
* Tue Sep 24 2019 Devrim Gündüz <devrim@gunduz.org> - 1.6.0-3
- Initial packaging for EPEL 8, using rawhide spec file and patches.
